<?php

namespace App\Entities\RequisicaoProcedimento;

use App\Utils\Entity;

class RequisicaoProcedimento extends Entity {
	protected $id;
	protected $id_pet;
	protected $id_medico;
	protected $id_convenio_procedimento;
	protected $id_consulta;
	protected $status_id;
	protected $status_anamnese;
	protected $id_consulta_exame;
	protected $data_requisicao;
	protected $hora_requisicao;
	protected $usuario_executor;
	protected $data_execucao;
	protected $hora_execucao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;

	public function builder(): RequisicaoProcedimentoBuilder {

		return (new RequisicaoProcedimentoBuilder());

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId_pet() {

		return $this->id_pet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId_medico() {

		return $this->id_medico;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId_convenio_procedimento() {

		return $this->id_convenio_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId_consulta() {

		return $this->id_consulta;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getStatus_id() {

		return $this->status_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getStatus_anamnese() {

		return $this->status_anamnese;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId_consulta_exame() {

		return $this->id_consulta_exame;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_requisicao() {

		return $this->data_requisicao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHora_requisicao() {

		return $this->hora_requisicao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getUsuario_executor() {

		return $this->usuario_executor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_execucao() {

		return $this->data_execucao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHora_execucao() {

		return $this->hora_execucao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAtualizado_por() {

		return $this->atualizado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_atualizacao() {

		return $this->data_atualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHora_atualizacao() {

		return $this->hora_atualizacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setId_pet($id_pet) {

		$this->id_pet = $id_pet;

	}

	/**
	 *
	 * @param mixed $id_medico
	 */
	public function setId_medico($id_medico) {

		$this->id_medico = $id_medico;

	}

	/**
	 *
	 * @param mixed $id_convenio_procedimento
	 */
	public function setId_convenio_procedimento($id_convenio_procedimento) {

		$this->id_convenio_procedimento = $id_convenio_procedimento;

	}

	/**
	 *
	 * @param mixed $id_consulta
	 */
	public function setId_consulta($id_consulta) {

		$this->id_consulta = $id_consulta;

	}

	/**
	 *
	 * @param mixed $status_id
	 */
	public function setStatus_id($status_id) {

		$this->status_id = $status_id;

	}

	/**
	 *
	 * @param mixed $status_anamnese
	 */
	public function setStatus_anamnese($status_anamnese) {

		$this->status_anamnese = $status_anamnese;

	}

	/**
	 *
	 * @param mixed $id_consulta_exame
	 */
	public function setId_consulta_exame($id_consulta_exame) {

		$this->id_consulta_exame = $id_consulta_exame;

	}

	/**
	 *
	 * @param mixed $data_requisicao
	 */
	public function setData_requisicao($data_requisicao) {

		$this->data_requisicao = $data_requisicao;

	}

	/**
	 *
	 * @param mixed $hora_requisicao
	 */
	public function setHora_requisicao($hora_requisicao) {

		$this->hora_requisicao = $hora_requisicao;

	}

	/**
	 *
	 * @param mixed $usuario_executor
	 */
	public function setUsuario_executor($usuario_executor) {

		$this->usuario_executor = $usuario_executor;

	}

	/**
	 *
	 * @param mixed $data_execucao
	 */
	public function setData_execucao($data_execucao) {

		$this->data_execucao = $data_execucao;

	}

	/**
	 *
	 * @param mixed $hora_execucao
	 */
	public function setHora_execucao($hora_execucao) {

		$this->hora_execucao = $hora_execucao;

	}

	/**
	 *
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por) {

		$this->atualizado_por = $atualizado_por;

	}

	/**
	 *
	 * @param mixed $data_atualizacao
	 */
	public function setData_atualizacao($data_atualizacao) {

		$this->data_atualizacao = $data_atualizacao;

	}

	/**
	 *
	 * @param mixed $hora_atualizacao
	 */
	public function setHora_atualizacao($hora_atualizacao) {

		$this->hora_atualizacao = $hora_atualizacao;

	}

}

